v.normal(1)

NAME
v.normal - Tests for normality for vector points.

KEYWORDS
vector, statistics, points, point pattern

SYNOPSIS
v.normal
v.normal --help
v.normal [-rl] map=name [layer=string] tests=range[,range,...] column=name [--help] [--verbose] [--quiet] [--ui]

  Flags:

-r
    Use only points in current region

-l
    Lognormality instead of normality

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of vector map
    Or data source for direct OGR access

layer=string
    Layer number or name
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 1

tests=range[,range,...] [required]
    Lists of tests (1-15)
    E.g. 1,3-8,13

column=name [required]
    Name of attribute column

DESCRIPTION
v.normal computes tests of normality on vector points.

NOTES
The tests that v.normal performs are indexed below. The tests that are performed are specified by giving an index, ranges of indices, or multiple thereof.

1   Sample skewness and kurtosis

2   Geary’s a-statistic and an approximate normal transformation

3   Extreme normal deviates

4   D’Agostino’s D-statistic

5   Modified Kuiper V-statistic

6   Modified Watson U^2-statistic

7   Durbin’s Exact Test (modified Kolmogorov)

8   Modified Anderson-Darling statistic

9   Modified Cramer-Von Mises W^2-statistic

10  Kolmogorov-Smirnov D-statistic (modified for normality testing)

11  Chi-Square test statistic (equal probability classes) and the number of degrees of freedom

12  Shapiro-Wilk W Test

13  Weisberg-Binghams W’’ (similar to Shapiro-Francia’s W’)

14  Royston’s extension of W for large samples

15  Kotz Separate-Families Test for Lognormality vs. Normality

EXAMPLE
Compute the sample skewness and kurtosis, Geary’s a-statistic and an approximate normal transformation, extreme normal deviates, and Royston’s W for the random vector points:

g.region raster=elevation -p
v.random random n=200
v.db.addtable random column="elev double precision"
v.what.rast random rast=elevation column=elev
v.normal random tests=1-3,14 column=elev

SEE ALSO
v.univar

AUTHORS
James Darrell McCauley <darrell@mccauley-usa.com>,
when he was at: Agricultural Engineering Purdue University

SOURCE CODE

Available at: v.normal source code (history)

Accessed: Saturday Mar 23 01:19:10 2024

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual